Ask Your Question
0

can't update fedora

asked 2014-05-31 08:49:28 -0500

Kronolynx gravatar image

updated 2014-05-31 23:51:02 -0500

Should I run the update with --skip-broken or it will make things worse ? thanks

[krono@darkstar ~]$ sudo yum update
Loaded plugins: langpacks
Resolving Dependencies
--> Running transaction check
---> Package libetpan.x86_64 0:1.1-7.fc20 will be updated
--> Processing Dependency: libetpan.so.16()(64bit) for package: cairo-dock-plug-ins-3.2.1-2.fc20.x86_64
---> Package libetpan.x86_64 0:1.5-1.fc20 will be an update
---> Package xkeyboard-config.noarch 0:2.10.1-1.fc20 will be updated
---> Package xkeyboard-config.noarch 0:2.10.1-2.fc20 will be an update
---> Package xz.x86_64 0:5.1.2-8alpha.fc20 will be updated
---> Package xz.x86_64 0:5.1.2-9alpha.fc20 will be an update
---> Package xz-libs.x86_64 0:5.1.2-8alpha.fc20 will be updated
---> Package xz-libs.x86_64 0:5.1.2-9alpha.fc20 will be an update
--> Finished Dependency Resolution
Error: Package: cairo-dock-plug-ins-3.2.1-2.fc20.x86_64 (@rpmfusion-free)
           Requires: libetpan.so.16()(64bit)
           Removing: libetpan-1.1-7.fc20.x86_64 (@koji-override-0/$releasever)
               libetpan.so.16()(64bit)
           Updated By: libetpan-1.5-1.fc20.x86_64 (updates)
              ~libetpan.so.17()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2014-05-31 12:31:36 -0500

hedayat gravatar image

Run yum update with --skip-broken option, so that it won't try to update libetpan for now but will update other packages. Then, you should wait while RPMFusion guys update their cairo-dock-plug-ins package with the new libetpan so that you can update this package too.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2014-05-31 08:49:28 -0500

Seen: 914 times

Last updated: May 31 '14